## python3.2 3.2.3-maemo3

=== debian/changelog ===
python3.2 (3.2.3-maemo3) unstable; urgency=low

  * only for armel (because of gcc-4.6)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Nov 2013 19:08:09 +0200

python3.2 (3.2.3-maemo2) unstable; urgency=low

  * without-system-expat 
  * Not optificated.
  * drop regrtest.py

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 1 Nov 2013 09:29:09 +0200

python3.2 (3.2.3-maemo1) unstable; urgency=low

  * without-system-expat 
  * Not optificated.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 29 Oct 2013 22:15:09 +0200

python3.2 (3.2.3-7) unstable; urgency=low

  * distutils: Append the abiflags to the python include dir.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Feb 2013 15:21:14 +0100

python3.2 (3.2.3-6) unstable; urgency=low

  * Don't run the testsuite on the Hurd and kfreebsd (as already done
    for python2.7).
  * Encode the version in the devhelp documentation name. LP: #787039.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Sep 2012 00:21:05 +0200

python3.2 (3.2.3-5) unstable; urgency=low

  * Hint on installing the python-gdbm package on failing _gdbm import.
    LP: #995616.
  * Enable verbose build for the sharedmods target.
  * libpython3.2: Fix libpython3.2.so symlink. Closes: #686374.
  * Fix issue #15847: allow args to be a tuple in parse_args.
  * Fix issue #15340: Fix importing the random module when /dev/urandom cannot
    be opened.  Regression caused by the hash randomization patch.
  * Don't use `-n' anymore to start idle in the desktop/menu files, not
    needed anymore for multiseat installations.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Sep 2012 15:10:19 +0200

python3.2 (3.2.3-4) unstable; urgency=low

  * Update to 20120826 from the 3.2 branch. Linux relevant fixes:
    - Follwup for issue #9374. Restore the removed attributes in the
      urlparse module.
    - Issue #14579: Fix CVE-2012-2135: vulnerability in the utf-16 decoder
      after error handling.
    - Issue #15404: Refleak in PyMethodObject repr.
    - Issue #15394: An issue in PyModule_Create that caused references to
      be leaked on some error paths has been fixed.
    - Issue #15368: An issue that caused bytecode generation to be
      non-deterministic when using randomized hashing (-R) has been fixed.
    - Issue #15424: Add a __sizeof__ implementation for array objects.
    - Issue #13052: Fix IDLE crashing when replace string in Search/Replace
      dialog ended with '\'.
    - Issue #15538: Fix compilation of the getnameinfo() / getaddrinfo()
      emulation code.
    - Issue #15726: Fix incorrect bounds checking in PyState_FindModule.
    - Issue #15604: Update uses of PyObject_IsTrue() to check for and handle
      errors correctly.
    - Issue #9803: Don't close IDLE on saving if breakpoint is open.
    - Issue #12288: Consider '0' and '0.0' as valid initialvalue
      for tkinter SimpleDialog.
    - Issue #11062: Fix adding a message from file to Babyl mailbox.
    - Issue #15544: Fix Decimal.__float__ to work with payload-carrying NaNs.
    - Issue #15249: BytesGenerator now correctly mangles From lines (when
      requested) even if the body contains undecodable bytes.
    - Issue #15777: Fix a refleak in _posixsubprocess.
    - Issue #15199: Fix JavaScript's default MIME type to
      application/javascript.
    - Issue #13579: string.Formatter now understands the 'a' conversion
      specifier.
    - Issue #15595: Fix subprocess.Popen(universal_newlines=True)
      for certain locales (utf-16 and utf-32 family). Patch by Chris Jerdonek.
    - Issue #15477: In cmath and math modules, add workaround for platforms
      whose system-supplied log1p function doesn't respect signs of zeros.
    - Issue #15512: Add a __sizeof__ implementation for parser.
    - Issue #15469: Add a __sizeof__ implementation for deque objects.
    - Issue #15489: Add a __sizeof__ implementation for BytesIO objects.
    - Issue #15487: Add a __sizeof__ implementation for buffered I/O objects.
    - Issue #6056: Make multiprocessing use setblocking(True) on the
      sockets it uses.
    - Issue #15041: update "see also" list in tkinter documentation.
    - Issue #15402: An issue in the struct module that caused sys.getsizeof to
      return incorrect results for struct.Struct instances has been fixed.
    - Issue #15232: when mangle_from is True, email.Generator now correctly
      mangles lines that start with 'From ' that occur in a MIME preamble
      or epilogue.
    - Issue #13922: argparse no longer incorrectly strips '--'s that appear
      after the first one.
    - Issue #12353: argparse now correctly handles null argument values.
    - Issues #10017 and #14998: Fix TypeError using pprint on dictionaries with
      user-defined types as keys or other unorderable keys.
    - Issue #14635: telnetlib will use poll() rather than select() when possible
      to avoid failing due to the select() file descriptor limit.
    - Issue #15645: Ensure 2to3 grammar pickles are properly installed.
    - Issue #15180: Clarify posixpath.join() error message when mixing
      str & bytes.
    - Issue #15230: runpy.run_path now correctly sets __package__ as described
      in the documentation
    - Issue #15467: Move helpers for __sizeof__ tests into test_support.
    - Issue #15320: Make iterating the list of tests thread-safe when running
      tests in multiprocess mode.
    - Issue #15230: Adopted a more systematic approach in the runpy tests
    - Issue #15747: ZFS always returns EOPNOTSUPP when attempting to set the
      UF_IMMUTABLE flag (via either chflags or lchflags); refactor affected
      tests in test_posix.py to account for this.
    - Issue #15285: Refactor the approach for testing connect timeouts using
      two external hosts that have been configured specifically for this type
      of test.
    - Issue #15615: Add some tests for the json module's handling of invalid
      input data.
    - Issue #15630: Add an example for "continue" stmt in the tutorial.

