=== debian/control ===
Source: python3.2
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5.0.51~), quilt, autoconf2.67, libreadline5-dev, libncursesw5-dev (>= 5.3), zlib1g-dev, libdb-dev, libgdbm-dev, tk8.5-dev, blt-dev (>= 2.4z), libssl-dev, sharutils, libbz2-dev, libexpat1-dev, libbluetooth3-dev [linux-any], locales [!armel !avr32 !hppa !ia64 !mipsel], libsqlite3-dev, libffi-dev (>= 3.0.5), mime-support, libgpm2 [linux-any], netbase, lsb-release, bzip2, gdb, python, xvfb, xauth, gcc-4.6, binutils2.22, python2.5, python-sphinx
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.3
Vcs-Browser: https://code.launchpad.net/~doko/python/pkg3.2-debian
Vcs-Bzr: http://bazaar.launchpad.net/~doko/python/pkg3.2-debian

Package: python3.2
Architecture: armel
Priority: optional
Depends: python3.2-minimal (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3.2-doc, binutils
Provides: python3.2-cjkcodecs, python3.2-ctypes, python3.2-elementtree, python3.2-celementtree, python3.2-wsgiref, python3.2-gdbm, python3.2-profiler
Conflicts: python3-profiler (<= 3.2-2)
Breaks: python-virtualenv (<< 1.7.1.2-2~)
Replaces: python3-profiler (<= 3.2-2)
Description: Interactive high-level object-oriented language (version 3.2)
 Version 3.2 of the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.

Package: python3.2-minimal
Architecture: armel
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: python3.2
Suggests: binfmt-support
Replaces: python3.2 (<< 3.2~b2-1~)
Conflicts: binfmt-support (<< 1.1.2)
Description: Minimal subset of the Python language (version 3.2)
 This package contains the interpreter and some essential modules.  It can
 be used in the boot process for some basic tasks.
 See /usr/share/doc/python3.2-minimal/README.Debian for a list of the modules
 contained in this package.

Package: libpython3.2
Architecture: armel
Section: libs
Priority: optional
Depends: python3.2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: python3.2 (<< 3.0~rc1)
Description: Shared Python runtime library (version 3.2)
 Version 3.2 of the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package contains the shared runtime library, normally not needed
 for programs using the statically linked interpreter.

Package: python3.2-examples
Architecture: armel
Depends: python3.2 (>= ${source:Version}), ${misc:Depends}
Description: Examples for the Python language (v3.2)
 Examples, Demos and Tools for Python (v3.2). These are files included in
 the upstream Python distribution (v3.2).

Package: python3.2-dev
Architecture: armel
Depends: python3.2 (= ${binary:Version}), libpython3.2 (= ${binary:Version}), libssl-dev, libexpat1-dev, ${shlibs:Depends}, ${misc:Depends}
Replaces: python3.2 (<< 3.2.2-4)
Recommends: libc6-dev | libc-dev
Description: Header files and a static library for Python (v3.2)
 Header files, a static library and development tools for building
 Python (v3.2) modules, extending the Python interpreter or embedding
 Python (v3.2) in applications.
 .
 Maintainers of Python packages should read README.maintainers.

Package: idle-python3.2
Architecture: armel
Depends: python3.2, python3-tk, python3.2-tk, ${misc:Depends}
Enhances: python3.2
Description: IDE for Python (v3.2) using Tkinter
 IDLE is an Integrated Development Environment for Python (v3.2).
 IDLE is written using Tkinter and therefore quite platform-independent.

Package: python3.2-doc
Section: doc
Architecture: armel
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}
Suggests: python3.2
Description: Documentation for the high-level object-oriented language Python (v3.2)
 These is the official set of documentation for the interactive high-level
 object-oriented language Python (v3.2). All documents are provided
 in HTML format. The package consists of ten documents:
 .
   * What's New in Python3.2
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules

Package: python3.2-dbg
Section: debug
Architecture: armel
Priority: extra
Depends: python3.2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, python
Suggests: python3-gdbm-dbg, python3-tk-dbg
Description: Debug Build of the Python Interpreter (version 3.2)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python3.2/lib-dynload/debug first.
